.TH wxListEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxListEvent \- See external documentation: wxListEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxListEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIcommand_list_begin_drag\fR, \fIcommand_list_begin_rdrag\fR, \fIcommand_list_begin_label_edit\fR, \fIcommand_list_end_label_edit\fR, \fIcommand_list_delete_item\fR, \fIcommand_list_delete_all_items\fR, \fIcommand_list_key_down\fR, \fIcommand_list_insert_item\fR, \fIcommand_list_col_click\fR, \fIcommand_list_col_right_click\fR, \fIcommand_list_col_begin_drag\fR, \fIcommand_list_col_dragging\fR, \fIcommand_list_col_end_drag\fR, \fIcommand_list_item_selected\fR, \fIcommand_list_item_deselected\fR, \fIcommand_list_item_right_click\fR, \fIcommand_list_item_middle_click\fR, \fIcommand_list_item_activated\fR, \fIcommand_list_item_focused\fR, \fIcommand_list_cache_hint\fR
.RE
.LP
See also the message variant #wxList{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxNotifyEvent 
.br
wxCommandEvent 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxListEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getCacheFrom(This::wxListEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetcachefrom>\&.
.RE
.LP
.B
getCacheTo(This::wxListEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetcacheto>\&.
.RE
.LP
.B
getKeyCode(This::wxListEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetkeycode>\&.
.RE
.LP
.B
getIndex(This::wxListEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetindex>\&.
.RE
.LP
.B
getColumn(This::wxListEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetcolumn>\&.
.RE
.LP
.B
getPoint(This::wxListEvent()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetpoint>\&.
.RE
.LP
.B
getLabel(This::wxListEvent()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetlabel>\&.
.RE
.LP
.B
getText(This::wxListEvent()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgettext>\&.
.RE
.LP
.B
getImage(This::wxListEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetimage>\&.
.RE
.LP
.B
getData(This::wxListEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetdata>\&.
.RE
.LP
.B
getMask(This::wxListEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetmask>\&.
.RE
.LP
.B
getItem(This::wxListEvent()) -> wxListItem() (see module wxListItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventgetitem>\&.
.RE
.LP
.B
isEditCancelled(This::wxListEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistevent\&.html#wxlisteventiseditcancelled>\&.
.RE
